## org.apache.commons.configuration.plist
Class XMLPropertyListConfiguration.PListNode

    java.lang.Object
      org.apache.commons.configuration.tree.DefaultConfigurationNode
          org.apache.commons.configuration.HierarchicalConfiguration.Node
              org.apache.commons.configuration.plist.XMLPropertyListConfiguration.PListNode

All Implemented Interfaces:
  Serializable, Cloneable, ConfigurationNode

Direct Known Subclasses:
  XMLPropertyListConfiguration.ArrayNode

Enclosing class:
  XMLPropertyListConfiguration

    public static class XMLPropertyListConfiguration.PListNode

extends HierarchicalConfiguration.Node

Node extension with addXXX methods to parse the typed data passed by the SAX handler. Do not use this class ! It is used internally by XMLPropertyConfiguration to parse the configuration file, it may be removed at any moment in the future.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.configuration.tree.DefaultConfigurationNode
`DefaultConfigurationNode.SubNodes`

Constructor Summary
`XMLPropertyListConfiguration.PListNode()`

Method Summary
`void` `addDataValue(String value)` Parse the specified string as a byte array in base 64 format and add it to the values of the node.
`void` `addDateValue(String value)` Parse the specified string as a date and add it to the values of the node.
`void` `addFalseValue()` Add a boolean value 'false' to the values of the node.
`void` `addIntegerValue(String value)` Parse the specified string as an Interger and add it to the values of the node.
`void` `addList(XMLPropertyListConfiguration.ArrayNode node)` Add a sublist to the values of the node.
`void` `addRealValue(String value)` Parse the specified string as a Double and add it to the values of the node.
`void` `addTrueValue()` Add a boolean value 'true' to the values of the node.
`void` `addValue(Object value)` Update the value of the node.

Methods inherited from class org.apache.commons.configuration.HierarchicalConfiguration.Node
`addChild, getParent, hasChildren, remove, remove, setParent, visit`

Methods inherited from class org.apache.commons.configuration.tree.DefaultConfigurationNode

`addAttribute, addChild, checkState, clone, createSubNodes, getAttribute, getAttributeCount, getAttributeCount, getAttributes, getAttributes, getChild, getChildren, getChildren, getChildrenCount, getChildrenCount, getName, getParentNode, getReference, getValue, isAttribute, isDefined, removeAttribute, removeAttribute, removeAttributes, removeChild, removeChild, removeChildren, removeReference, setAttribute, setName, setParentNode, setReference, setValue, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPropertyListConfiguration.PListNode

    public XMLPropertyListConfiguration.PListNode()

Method Detail

### addValue

    public void addValue(Object value)

  Update the value of the node. If the existing value is null, it's replaced with the new value. If the existing value is a list, the specified value is appended to the list. If the existing value is not null, a list with the two values is built.

  Parameters:
    `value` - the value to be added

### addDateValue

    public void addDateValue(String value)

  Parse the specified string as a date and add it to the values of the node.

  Parameters:
    `value` - the value to be added

### addDataValue

    public void addDataValue(String value)

  Parse the specified string as a byte array in base 64 format and add it to the values of the node.

  Parameters:
    `value` - the value to be added

### addIntegerValue

    public void addIntegerValue(String value)

  Parse the specified string as an Interger and add it to the values of the node.

  Parameters:
    `value` - the value to be added

### addRealValue

    public void addRealValue(String value)

  Parse the specified string as a Double and add it to the values of the node.

  Parameters:
    `value` - the value to be added

### addTrueValue

    public void addTrueValue()

  Add a boolean value 'true' to the values of the node.

### addFalseValue

    public void addFalseValue()

  Add a boolean value 'false' to the values of the node.

### addList

    public void addList(XMLPropertyListConfiguration.ArrayNode node)

  Add a sublist to the values of the node.

  Parameters:
    `node` - the node whose value will be added to the current node value

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.